import { request } from '@/utils/request.js';

// abnormal-check
export const workHoursWaitCheckListApi = (data) =>
  request({
    url: '/api/system/work-hourse/wait-check/list',
    data,
  });
export const workHoursDoneCheckListApi = (data) =>
  request({
    url: '/api/system/work-hourse/done-check/list',
    data,
  });
export const workHoursWaitCheckAuditApi = (ids, pass) => {
  if (pass) {
    return request({
      url: '/api/system/work-hourse/wait-check/pass',
      data: { ids },
    });
  } else {
    return request({
      url: '/api/system/work-hourse/wait-check/refuse',
      data: { ids },
    });
  }
};

// work-attendance
export const workAttendanceListApi = (data) =>
  request({
    url: '/api/system/work-attendance/list',
    data,
  });
export const workAttendanceInfoApi = (data) =>
  request({
    url: '/api/system/work-attendance/info',
    data,
  });
export const workAttendanceSubmitApi = (ids) =>
  request({
    url: '/api/system/work-attendance/submit',
    data: { ids },
  });
export const workAttendanceExportApi = (ids) =>
  request({
    url: '/api/system/work-attendance/export',
    data: { ids },
    download: true,
  });
export const workAttendanceWithdrawApi = (id) =>
  request({
    url: '/api/system/work-attendance/withdraw',
    data: { id },
  });
export const workAttendanceCancelWithdrawApi = (id) =>
  request({
    url: '/api/system/work-attendance/withdraw-cancel',
    data: { id },
  });

// work-statistics
export const workStatisticsListApi = (data) =>
  request({
    url: '/api/system/work-statistics/list',
    data,
  });
export const workStatisticsInfoApi = (data) =>
  request({
    url: '/api/system/work-statistics/info',
    data,
  });
export const workStatisticsPassApi = (id) =>
  request({
    url: '/api/system/work-statistics/pass',
    data: { id },
  });
